# Uses of Class
org.eclipse.mat.snapshot.DominatorsSummary.ClassloaderDominatorRecord

Packages that use DominatorsSummary.ClassloaderDominatorRecord
Package
Description
org.eclipse.mat.snapshot
The Snapshot API, a VM independent way of looking at a snapshot of the state of objects in a heap.

## Uses of DominatorsSummary.ClassloaderDominatorRecord in org.eclipse.mat.snapshot

Methods in org.eclipse.mat.snapshot with type parameters of type DominatorsSummary.ClassloaderDominatorRecord
Modifier and Type
Method
Description
`<C extends DominatorsSummary.ClassloaderDominatorRecord>
C[]`
DominatorsSummary.`getClassloaderDominatorRecords(Class<C> factoryClass)`
Methods in org.eclipse.mat.snapshot that return DominatorsSummary.ClassloaderDominatorRecord
Modifier and Type
Method
Description
`DominatorsSummary.ClassloaderDominatorRecord[]`
DominatorsSummary.`getClassloaderDominatorRecords()`
Get the dominators summary grouped by class loaders
`<C extends DominatorsSummary.ClassloaderDominatorRecord>
C[]`
DominatorsSummary.`getClassloaderDominatorRecords(Class<C> factoryClass)`